Debian Bug report logs - #256367
Deprecated usage of trap in locate/updatedb.sh

version graph

Package: findutils; Maintainer for findutils is Andreas Metzler <ametzler@debian.org>; Source for findutils is src:findutils (PTS, buildd, popcon).

Reported by: David Weinehall <tao@debian.org>

Date: Sat, 26 Jun 2004 15:18:03 UTC

Severity: minor

Tags: fixed-in-experimental, fixed-upstream, patch

Found in version 4.1.20-3

Fixed in version findutils/4.2.20-2

Done: Andreas Metzler <ametzler@debian.org>

Bug is archived. No further changes may be made.

Forwarded to bug-findutils@gnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Andreas Metzler <ametzler@debian.org>:
Bug#256367; Package findutils. (full text, mbox, link).


Acknowledgement sent to David Weinehall <tao@debian.org>:
New Bug report received and forwarded. Copy sent to Andreas Metzler <ametzler@debian.org>. (full text, mbox, link).


Message #5 received at maintonly@bugs.debian.org (full text, mbox, reply):

From: David Weinehall <tao@debian.org>
To: "Debian Bug Tracking System, Maintonly" <maintonly@bugs.debian.org>
Subject: Deprecated usage of trap in locate/updatedb.sh
Date: Sat, 26 Jun 2004 17:03:23 +0200
Package: findutils
Version: 4.1.20-3
Severity: minor
Tags: patch

trap should use signal-names instead of numbers, as per the POSIX spec.
Using signalnumber is an XSI:ism, not guaranteed to be implemented
everywhere.  The included patch fixes this.

Rationale:

policy 10.4
http://www.opengroup.org/onlinepubs/009695399/utilities/trap.html


Regards: David Weinehall

diff -ur findutils-4.1.20-old/locate/updatedb.sh findutils-4.1.20/locate/updatedb.sh
--- findutils-4.1.20-old/locate/updatedb.sh	2003-05-24 21:36:25.000000000 +0300
+++ findutils-4.1.20/locate/updatedb.sh	2004-06-23 00:45:00.000000000 +0300
@@ -109,7 +109,7 @@
 # Sort case insensitively for users' convenience.
 
 rm -f $LOCATE_DB.n
-trap 'rm -f $LOCATE_DB.n; exit' 1 15
+trap 'rm -f $LOCATE_DB.n; exit' HUP TERM
 
 if test $old = no; then
 
@@ -162,7 +162,7 @@
 fi
 
 rm -f $LOCATE_DB.n
-trap 'rm -f $bigrams $filelist $LOCATE_DB.n; exit' 1 15
+trap 'rm -f $bigrams $filelist $LOCATE_DB.n; exit' HUP TERM
 
 # Alphabetize subdirectories before file entries using tr.  James says:
 # "to get everything in monotonic collating sequence, to avoid some



Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#256367; Package findutils. (full text, mbox, link).


Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Andreas Metzler <ametzler@debian.org>. (full text, mbox, link).


Message #10 received at 256367@bugs.debian.org (full text, mbox, reply):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: David Weinehall <tao@debian.org>, 256367@bugs.debian.org
Subject: Re: Bug#256367: Deprecated usage of trap in locate/updatedb.sh
Date: Sat, 26 Jun 2004 19:13:18 +0200
forwarded 256367 bug-findutils@gnu.org
thanks
On 2004-06-26 David Weinehall <tao@debian.org> wrote:
[...]
> trap should use signal-names instead of numbers, as per the POSIX spec.
> Using signalnumber is an XSI:ism, not guaranteed to be implemented
> everywhere.  The included patch fixes this.

> Rationale:

> policy 10.4
> http://www.opengroup.org/onlinepubs/009695399/utilities/trap.html
[...]

Thank you.

I have forwarded this as
http://savannah.gnu.org/bugs/index.php?func=detailitem&item_id=9465
              cu andreas

-- 
"See, I told you they'd listen to Reason," [SPOILER] Svfurlr fnlf,
fuhggvat qbja gur juveyvat tha.
Neal Stephenson in "Snow Crash"



Noted your statement that Bug has been forwarded to bug-findutils@gnu.org. Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (full text, mbox, link).


Information forwarded to debian-bugs-dist@lists.debian.org, Andreas Metzler <ametzler@debian.org>:
Bug#256367; Package findutils. (full text, mbox, link).


Acknowledgement sent to James Youngman <jay@gnu.org>:
Extra info received and forwarded to list. Copy sent to Andreas Metzler <ametzler@debian.org>. (full text, mbox, link).


Message #17 received at 256367@bugs.debian.org (full text, mbox, reply):

From: James Youngman <jay@gnu.org>
To: 256367@bugs.debian.org
Subject: fixed in upstream release
Date: Sun, 31 Oct 2004 14:12:15 +0000
Fixed in upstream release.



Tags added: fixed-upstream Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (full text, mbox, link).


Tags added: pending Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (full text, mbox, link).


Tags added: fixed-in-experimental Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (full text, mbox, link).


Tags removed: pending Request was from Andreas Metzler <ametzler@debian.org> to control@bugs.debian.org. (full text, mbox, link).


Reply sent to Andreas Metzler <ametzler@debian.org>:
You have taken responsibility. (full text, mbox, link).


Notification sent to David Weinehall <tao@debian.org>:
Bug acknowledged by developer. (full text, mbox, link).


Message #30 received at 256367-close@bugs.debian.org (full text, mbox, reply):

From: Andreas Metzler <ametzler@debian.org>
To: 256367-close@bugs.debian.org
Subject: Bug#256367: fixed in findutils 4.2.20-2
Date: Thu, 09 Jun 2005 14:32:18 -0400
Source: findutils
Source-Version: 4.2.20-2

We believe that the bug you reported is fixed in the latest version of
findutils, which is due to be installed in the Debian FTP archive:

findutils_4.2.20-2.diff.gz
  to pool/main/f/findutils/findutils_4.2.20-2.diff.gz
findutils_4.2.20-2.dsc
  to pool/main/f/findutils/findutils_4.2.20-2.dsc
findutils_4.2.20-2_i386.deb
  to pool/main/f/findutils/findutils_4.2.20-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 256367@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Metzler <ametzler@debian.org> (supplier of updated findutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  9 Jun 2005 20:07:37 +0200
Source: findutils
Binary: findutils
Architecture: source i386
Version: 4.2.20-2
Distribution: unstable
Urgency: low
Maintainer: Andreas Metzler <ametzler@debian.org>
Changed-By: Andreas Metzler <ametzler@debian.org>
Description: 
 findutils  - utilities for finding files--find, xargs, and locate
Closes: 5956 31858 67782 102914 111143 111578 159221 162838 169730 175372 176201 185202 185203 192330 202512 219855 244766 246040 254676 256367 260780 261598 262476 286977 295399 300323 300429 300631
Changes: 
 findutils (4.2.20-2) unstable; urgency=low
 .
   * Upload to unstable.
 .
 findutils (4.2.20-1) experimental; urgency=low
 .
   * [locate] Do not index cifs (Closes: #295399) lustre (Closes: #300323) and
     nfs4 (Closes: #300631) filesystems by default.
   * [locate] Ignore /media by default. (Closes: #300429)
   * New upstream version 4.2.20
     - includes up-to-date Italian translation. (Closes: #286977)
 .
 findutils (4.2.14-1) experimental; urgency=low
 .
   * New upstream version
     - includes patch to fix savannah #11495.
     - locate: New options  -L, --follow|-P, -H, --nofollow for ignoring
       dangling symlinks (or not). (Closes: #159221)
     - find supports -exec ... {} +.
     - locate support for FreeBSD options (Sclms, m and s are ignored, but
       undocumented, I've already opened upstream report #11730 on that.)
       (Closes: #102914)
     - find built with --enable-d_type-optimisation, for using
       readdir/getdents. (Closes: #202512)
 .
 findutils (4.2.11-2) experimental; urgency=low
 .
   * find -printf '%n' (hard link count) was broken (savannah #11495).
 .
 findutils (4.2.11-1) experimental; urgency=low
 .
   * New upstream version.
 .
 findutils (4.2.10.CVS20041219-1) experimental; urgency=low
 .
   * New upstream, CVS from CVS20041219 (pre- 4.2.11).
     * -printf '%P' works correctly again.
   * Run testsuite.
 .
 findutils (4.2.9-1) experimental; urgency=low
 .
   * New upstream source
 .
 findutils (4.2.8-1) experimental; urgency=low
 .
   * New upstream version
     - New option --arg-file=file and extended documentation about
       stdin-handling (short in manpage, more extensive in info).
       (Closes: #5956)
     - improved behavior on automounted directories.
 .
 findutils (4.2.5-1) experimental; urgency=low
 .
   * New upstream version
     - includes 25_destdir_localstatedir.dpatch, our last remaining patch, we
       are vanilla now.
   * Add minimal debian/README.source.
   * Chuan-kai Lin <cklin@debian.org> has offered to serve as backup
     maintainer. Thanks. Add him to Uploaders.
 .
 findutils (4.2.4-1) experimental; urgency=low
 .
   * New upstream version
     - Closes: #175372: findutils: man pages have L's on references
     - includes 10_updatedb-findopts patch.
     - does not print warning about listing options after non-options unless
       connected to a tty.
     - xargs now uses 128Kb instead of 20Kb of command line by default, as
       ARG_MAX is 131072 on linux this Closes: #261598.
 .
 findutils (4.2.3.CVS20041106-1) experimental; urgency=low
 .
   * New upstream version (pre-4.2.4, CVS 2004-11-06).
     - Closes: #176201: findutils: xargs enviroment size limited to 20k
     - Closes: #254676: xargs: environment is too large for exec
     - Closes: #219855: -printf: accepts C octal escapes, contrary to the
       documentation.
     - Closes: #246040: findutils: find -printf %H segfaults
     - Closes: #185202: findutils: extra ")" not caught
     - Closes: #185203: findutils: overflow causes -mtime to succeed
     - Closes: #244766: /usr/bin/locate: locate should have equivalent of
       -print0 option
     - documents type of supported regular expressions for -regex
       (Closes: #162838)
     - Closes: #256367: Deprecated usage of trap in locate/updatedb.sh
     - includes some examples in find.1 manpage. (Closes: #111578)
     - new option -ignore_readdir_race to selectively suppress the obnoxious
       race-condition caused errormessages. (Closes: #67782)
     - -print0/-0 issues explained in more detail. (Closes: #111143)
     - includes supplied patch for GNU/FreeBSD. (Closes: #192330)
     - updatedb invokes "cd /" before running commands as unprivileged user.
       (Closes: #262476)
     - 'xargs -n 1 -i' works. (Closes: #31858). Please note that it is no bug
       that -i changes xargs to pass a whole line of input as a single argument
       instead of splitting on any blank characters as without -i. - Other
       implementations behave the same and the -I XSI extension documented in
       SUSv3/POSIX works like this, too.
 .
    * Removed unnecessary patches: 10_missing_includes 20_missing_newlines
      30_locate_nologinsh 35_updatedb-location 36_savannah-8623 40_direntry
      50_install_info
   * Add shfs to PRUNFS (Closes: #260780)
   * New patch: 10_updatedb-findopts: Add --findoptions option to updatedb to
     pass global options to find.
   * Set FINDOPTIONS='-ignore_readdir_race' for updatedb.sh's cron-job.
     (Closes: #169730)
   * standards-version 3.6.1 (no changes required).
Files: 
 d8131ceadf2d1c15b52622c533021e9f 663 base required findutils_4.2.20-2.dsc
 3be936480966e5d4c165047efe0f0b4b 12033 base required findutils_4.2.20-2.diff.gz
 652a8b1a819cacd6fff1cc0033a11032 306194 base required findutils_4.2.20-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCqIguHTOcZYuNdmMRAiVzAJ9SXQUwkrX+XJpMXqozjAJW4b2/eQCfVmHn
9PgyJmTGtS+ww4AI2JuJi4o=
=fOpd
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Dec 23 16:20:46 2023; Machine Name: buxtehude

Debian Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.